.join-class-list-box{
    text-align: center;
    margin-bottom: 40px;
}
.join-class-list{
    display: inline-block;
    width: 200px;
    margin: 0 15px;
}
.join-class-text{
    font-size: 20px;
    display: block;
    position: relative;
    padding: 12px 0;
    border-bottom: 3px solid #ccc;
}
.join-class-text:before{
    content: '';
    position: absolute;
    left: 0;
    bottom: -3px;
    width: 100%;
    height: 3px;
    background: #36BF36;
    -webkit-transform: scaleX(0);
    transform: scaleX(0);
    -webkit-transition: -webkit-transform .4s cubic-bezier(.45,.05,.3,.93) .1s;
    transition: -webkit-transform .4s cubic-bezier(.45,.05,.3,.93) .1s;
    transition: transform .4s cubic-bezier(.45,.05,.3,.93) .1s;
    transition: transform .4s cubic-bezier(.45,.05,.3,.93) .1s,-webkit-transform .4s cubic-bezier(.45,.05,.3,.93) .1s;
    -webkit-transform-origin: left center;
    transform-origin: left center;
}
.join-page-edit-box{
    width: 100%;
    padding: 50px;
    box-sizing: border-box;
    background-color: #FFF;
    font-size: 14px;
    line-height: 1.8;
    letter-spacing: 2px;
    margin-bottom: 50px;
}
.join-page-edit-box p{
    margin-bottom: 10px;
}

.contact-info-form{
    width: 720px;
    max-width: 100%;
    position: relative;
    margin: 0 auto;
    font-size: 0;
    padding-bottom: 50px;
    margin-top: 30px;
}
.contact-info-title-box{
    width: 100%;
    text-align: center;
    padding: 50px 0;
}
.contact-info-title-ch{
    font-size: 24px;
    font-family: 'noto sans tc';
    font-weight: 700;
    color: #8bb639;
    display: block;
    vertical-align: bottom;
    line-height: 1;
    letter-spacing: 1px;
}
.contact-info-title-en{
    font-size: 16px;
    line-height: 2;
    font-family: 'roboto';
    font-weight: 100;
    color: #d1d1d1;
    display: block;
    letter-spacing: 4px;
}
.contact-form-list-title{
    width: 150px;
    font-size: 16px;
    color: #333;
    letter-spacing: 1px;
    transform: skewX(-10deg);
    font-weight: bold;
    display: inline-block;
    vertical-align: middle;
}
.conact-special-title{
	width: 100%;
}
.contact-form-list-title>span{
    margin-left: 2px;
}
.contact-form-list{
    margin-bottom: 40px;
}
.contact-form-text{
    width: calc(100% - 155px);
    display: inline-block;
    border: none;
    border-bottom: 1px solid #ccc;
    padding: 5px 0;
    box-sizing: border-box;
    color: #888;
    letter-spacing: 3px;
    font-weight: lighter;
}
.contact-form-radio-list-title{
    display: inline-block;
    vertical-align: middle;
}
.contact-form-radio-list-title .contact-form-list-title{
  display: block;
}
.contact-form-radio-list-title span{
    font-size: 12px;
    color: #555;
}
.contact-form-list-textarea{
    width: 100%;
    height: 140px;
    display: inline-block;
    border: none;
    border-bottom: 1px solid #ccc;
    padding: 5px 0;
    box-sizing: border-box;
    color: #888;
    letter-spacing: 3px;
    font-weight: lighter;
    vertical-align: top;
    resize:none
}
input:not(.header-info-search):focus, textarea:focus{
  outline: none;
  border-bottom: 1px solid #36bf36;
}

.contact-info-description-box{
  position: relative;
}
.contact-info-description-title{
  font-size: 18px;
  font-weight: bold;
  color: #333;
  transform: skewX(-10deg);
  margin-bottom: 20px;
}
.contact-info-description-text-box{
  margin-bottom: 20px; ;
}
.contact-info-description-number{
  font-family: 'roboto';
  font-size: 26px;
  color: #8bb639;
  letter-spacing: 7px;
  display: inline-block;
  vertical-align: middle;
}
.contact-info-description-text{
  font-size: 16px;
  color: #333;
  display: inline-block;
  vertical-align: middle;
  letter-spacing: 3px;
}

.contact-info-description-line{
  width: 100%;
  height: 1px;
  background-color: #ccc;
  display: block;
}
.contact-info-email-box{
  font-size: 16px;
  color: #555;
  text-align: right;
  margin-top: 30px;
}
.contact-info-warning-box{
  font-size: 14px;
  font-weight: lighter;
  color: #333;
  text-align: right;
  margin: 30px 0;
}
.contact-info-warning-box span{
  color: #8bb639;
}
.contact-info-description-img{
  position: absolute;
  bottom: 0;
  right: 0;
}
.join-class-text:hover,
.join-class-text.active{
	transition: color .4s ease 0s;
    color:#36BF36;
}
.join-class-text:hover:before,
.join-class-text.active:before{
	-webkit-transition: -webkit-transform .4s cubic-bezier(.45,.05,.3,.93) 0s;
    transition: -webkit-transform .4s cubic-bezier(.45,.05,.3,.93) 0s;
    transition: transform .4s cubic-bezier(.45,.05,.3,.93) 0s;
    transition: transform .4s cubic-bezier(.45,.05,.3,.93) 0s,-webkit-transform .4s cubic-bezier(.45,.05,.3,.93) 0s;
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
    -webkit-transform-origin: right center;
    transform-origin: right center;
}
.special-title{
  font-weight: bold;
  font-size: 18px;
}
.special-text{
  margin-left: 25px;
}
/*--------contact共用-----------*/

.contact-radio-lable,
.contact-checkbox-lable{
  display: inline-block;
  margin-right: 50px;

}
.contact-radio-lable input,
.contact-checkbox-lable input{
  opacity: 0;
  position: absolute;
  pointer-events: none;
}
.contact-radio-lable span,
.contact-checkbox-lable span{
  position: relative;
  display: block;
  vertical-align: middle;
  letter-spacing: 2px;
  padding-left: 15px;
  font-size: 14px;
  color: #555;
  cursor: pointer;
  font-weight: 500;
}

.contact-radio-lable span:before,
.contact-checkbox-lable span:before{
  content: 'none';
  font-size: 0;
  width: 12px;
  height: 12px;
  display: block;
  position: absolute;
  left: 0;
  top: 5px;
  vertical-align: middle;
  box-sizing: border-box;
  border: 1px solid #555;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  border-radius: 2px
}

.contact-form-radio-list{
  width: calc(100% - 125px);
  display: inline-block;
  vertical-align: middle;
    margin-top: 10px;
}
.contact-form-list-title span{
  color: #8bb639;
  font-weight: inherit;
}
.button{
    width: 180px;
    display: inline-block;
    vertical-align: middle;
}
button{
  font-family: 'Roboto',"微軟正黑體", "Arial","Verdana",  "Microsoft JhengHei", "Geneva", "sans-serif";
  width: 180px;
  height: 60px;
  display: block;
  border: 1px solid #36BF36;
  background-color: #fff;
  text-align: left;
  box-sizing: border-box;
  padding: 0 15px;
  cursor: pointer;
  transition: all .3s linear;
}
.button-text{
  font-size: 22px;
  font-weight: bold;
  color: #36BF36;
  transform: skewX(-10deg);
  letter-spacing: 2px;
  transition: all .3s linear;
}
.button-text span{
  margin-left: 50px;
}

.contact-company-info{
  width: calc(100% - 180px);
  display: inline-block;
  vertical-align: middle;
}
.contact-line-name,
.contact-email-name{
  display: block;
  text-align: right;
}
.contact-line-name span ,
.contact-email-name span{
  font-size: 18px;
  color: #333;
  font-weight: bold;
  vertical-align: middle;
  margin-left: 5px;
}
.contact-line-name i{
    color: #22c101;
    font-size: 24px;
    vertical-align: middle;
}

.contact-email-name i{
    color: #f1bb1c;
    font-size: 24px;
    vertical-align: middle;
}



.contact-form-select{
  width: 100%;
  height: 40px;
  box-sizing: border-box;
  border: 1px solid #ccc;
  display: block;
  margin-top: 10px;
  letter-spacing: 2px;
  padding-left: 10px;
  color: #1b1b1b;
  position: relative;
  -webkit-appearance: none; /*Chrome*/
  -moz-appearance: none; /*FF*/
  appearance: none;/*CSS3*/
}
.contact-form-select-box{
  position: relative;
}
.contact-form-select-box:after{
    content: 'none';
    font-size: 0;
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 8px solid transparent;
    border-top: 10px solid #ccc;
    border-left: 8px solid transparent;
    display: block;
    position: absolute;
    right: 13px;
    top: 15px;
    pointer-events: none;
}
.contact-form-select-box:before{
  content: 'none';
  font-size: 0;
  width: 40px;
  height: 100%;
  display: block;
  border-left: 1px solid #ccc;
  position: absolute;
  right: 0;
  top: 0;
  z-index: 1;
}

.contact-radio-lable input:checked + span:before{
  background-image: url(../img/front/checked.png);
  background-repeat: no-repeat;
  background-size: 80%;
  background-position: center;
}
.contact-radio-lable input:checked + span:before{
  background-image: url(../img/front/checked.png);
  background-size: 70%;
}

/*表單送出*/
.contact-thanks-box,
.alert-box{
  width: 100%;
  height: 100vh;
  display: none;
  position: fixed;
  z-index: 999;
  top: 0;
  left: 0;
}
.contact-thanks-box.active,
.alert-box.active{
  -webkit-align-items: center;
          align-items: center;
    -webkit-justify-content: center;
          justify-content: center;
    display: -webkit-flex;
    display:         flex;
}
.contact-thanks,
.alert-info{
  background-color: #000;
  position: relative;
  padding: 80px;
  border-radius: 5px;
  z-index: 6;
}
.alert-info-box{
  position: relative;
}
.contact-thanks-p{
  font-size: 26px;
  line-height: 1.6;
  letter-spacing: 2px;
  font-weight: bold;
  color: #FFF;
  display: block;
}
.contact-out,
.alert-out{
  width: 20px;
  height: 20px;
  max-width: 100%;
  display: block;
  position: absolute;
  border-radius: 50%;
  border: 1px solid #FFF;
  top: 4%;
  right: 4%;
  cursor: pointer;
}
.contact-out span,
.alert-out span{
  width: 15px;
  height: 1px;
  background-color: #FFF;
  display: block;
  margin: 0 auto;
  position: relative;
}
.alert-out{
  z-index: 6;
}
.contact-out span:nth-child(1),
.alert-out span:nth-child(1){
  top: 9px;
    left: 0.5px;
    transform: rotate(45deg);
}
.contact-out span:nth-child(2),
.alert-out span:nth-child(2){
    top: 8px;
    left: 0.5px;
    transform: rotate(-45deg);
}
.contact-thanks-mask,
.alert-mask{
  width: 100%;
  height: 100vh;
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  background-color: rgba(0, 0, 0, 0.3);
}



/*<------------hover-------------->*/
.button button:hover,
.button button.active{
    background-color: #36BF36;
}
.button button:hover .button-text{
    color: #fff;
}

@media only screen and (max-width: 800px){
  .contact-info-form{
    width: 95%;
  }
    .contact-info-title-ch{
        font-size: 20px;
    }
    .contact-info-title-en{
        font-size: 14px;
    }
    .contact-info-title-box{
        padding: 20px 0;
    }
    .contact-info-description-title,
    .contact-info-description-text{
      font-size: 14px;
    }
    .contact-info-description-number{
      font-size: 22px;
    }
    button{
      width: 120px;
      height: 40px;
    }
    .button-text{
      font-size: 16px;
    }
    .button-text span{
      margin-left: 25px;
    }
    .contact-line-name i,
    .contact-email-name i{
      font-size: 22px;
    }
    .contact-line-name span,
    .contact-email-name span{
      font-size: 16px;
    }
    .contact-form-text{
      width: 100%;
    }
}
@media only screen and (max-width: 600px){

    .contact-checkbox-lable{
      display: block;
    }
    .contact-line-name i,
    .contact-email-name i{
      font-size: 18px;
    }
    .contact-line-name span,
    .contact-email-name span{
      font-size: 14px;
    }
    .join-class-list{
      width: calc( 100% / 2 - 45px );
    }
}
@media only screen and (max-width: 550px){
  .join-page-edit-box {
      padding: 20px;
  }
  .item-page{
    padding: 0;
  }
}
@media only screen and (max-width: 400px){
  .contact-info-description-img{
    display: none;
  }
  .contact-form-list{
    margin-bottom: 20px;
  }
  .contact-info-description-text-box{
    margin-bottom: 10px;
  }
  .contact-info-warning-box{
    margin: 10px 0;
  }
  .contact-line-name i,
  .contact-email-name i{
    font-size: 16px;
  }
  .contact-line-name span,
  .contact-email-name span{
    font-size: 12px;
  }
}

/*animation*/
/*<-------------動畫------------->*/

@keyframes contact_fedfromtop {
    0%{
        transform: translateY(-50px);
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
@keyframes contact_fedfrombottom {
    0%{
        transform: translateY(50px);
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
@keyframes contact_fedfrombottom2 {
    0%{
        transform: translateY(100px);
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
@keyframes contact_fedfromright {
    0%{
        transform: translateX(50px);
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
@keyframes contact_fedfromleft {
    0%{
        transform: translateX(-200px);
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
@keyframes contact_line_ani {
    0%{
        transform: translateX(200px);
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
@keyframes contact_fed {
    0%{
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
@keyframes contact_line {
    0%{
        width: 0;
    }
    to {
        width: 100%;
    }
}
@media only screen and (min-width: 1001px){
    .contact-info-title-ch{
        animation: contact_fedfromtop 1.5s ease both;
    }
    .contact-info-title-en{
        animation: contact_fed 1s ease 1.5s both;
    }
    .contact-info-description-title{
        animation: contact_fedfrombottom 1.5s ease 0.5s both;
    }
    .contact-info-description-text-box{
        animation: contact_fedfromright 1.5s ease 1s both;
    }
    .contact-info-description-img{
        animation: contact_fed 1s ease 2s both;
    }
    .contact-info-description-line{
        animation: contact_line 1s ease 2.5s both;
    }
    .contact-info-warning-box{
        animation: contact_fedfrombottom 1.5s ease 3s both;
    }
    .contact-form-list{
        /* opacity: 0; */
    }
    .contact-form-list.active{
        animation: contact_fedfrombottom2 1.5s ease both;
    }
    .button,
    .contact-company-info{
        /* opacity: 0; */
    }
    .button.active{
        animation: contact_fedfromleft 1.5s ease both;
    }
    .contact-company-info.active{
        animation: contact_line_ani 1.5s ease  both;
    }
}